## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by go2rpm 1.12.0
%bcond_without check

# https://github.com/evanw/esbuild
%global goipath         github.com/evanw/esbuild
Version:                0.24.2

%gometa -L -f

%global common_description %{expand:
This is a JavaScript bundler and minifier. It packages up JavaScript and
TypeScript code for distribution on the web.}

%global golicenses      LICENSE.md
%global godocs          docs CHANGELOG.md README.md version.txt

Name:           golang-github-evanw-esbuild
Release:        %autorelease
Summary:        Fast JavaScript bundler and minifier

License:        MIT
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1

%generate_buildrequires
%go_generate_buildrequires

%build
%gobuild -o %{gobuilddir}/bin/esbuild %{goipath}/cmd/esbuild

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# css_parser: failed on ppc64le and s390x.
%ifarch ppc64le s390x
%gocheck -d internal/css_parser
%else
%gocheck
%endif
%endif

%files
%license LICENSE.md
%doc docs CHANGELOG.md README.md
%{_bindir}/esbuild

%gopkgfiles

%changelog
* Fri Dec 20 2024 Packit <hello@packit.dev> None-5
- Update to 0.24.2 upstream release

* Sun Sep 22 2024 Packit <hello@packit.dev> None-4
- Update to 0.24.0 upstream release

* Tue Aug 20 2024 Packit <hello@packit.dev> None-3
- Update to 0.23.1 upstream release

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> None-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Jun 20 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> None-1
- Update spec and add Packit config

* Tue Jun 18 2024 Jelle van der Waa <jvanderwaa@redhat.com> 0.21.5-1
- Update to 0.21.5

* Sun Jun 02 2024 W. Michael Petullo <mike@flyn.org> 0.21.4-1
- Update to 0.21.4

* Sun Mar 17 2024 W. Michael Petullo <mike@flyn.org> 0.20.2-1
- Update to 0.20.2

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> 0.19.11-4
- Rebuild for golang 1.22.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> 0.19.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> 0.19.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Jan 02 2024 W. Michael Petullo <mike@flyn.org> 0.19.11-1
- Update to 0.19.11

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 0.17.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Feb 10 2023 Katerina Koukiou <kkoukiou@redhat.com> - 0.17.7-1
- update esbuild to 0.17.7

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.38-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.14.38-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 0.14.38-3
- Rebuild for CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in
  golang

* Sat Jun 18 2022 Robert-André Mauchin <zebob.m@gmail.com> - 0.14.38-2
- Rebuilt for CVE-2022-1996, CVE-2022-24675, CVE-2022-28327, CVE-2022-27191,
  CVE-2022-29526, CVE-2022-30629

* Tue Apr 26 2022 Onuralp SEZER <thunderbirdtr@fedoraproject.org> - 0.14.38-1
- Update to 0.14.38

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.32-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.32-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.32-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Jan 15 19:41:48 CET 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.8.32-1
- Update to 0.8.32

* Mon Aug 24 15:12:26 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.7.1-1
- Initial package

